#!/bin/bash

###################
# package setting #
###################
# You should edit these settings.

# package name
package_name='hark-rescue'

# package short name
# This short name must follow the C++ identifier naming
# rule because this is used in C++ source file.
# This short name appears in the 'About' dialogue of
# flowdesigner.
package_short_name='HARKRESCUE'

# package version number
# This version number appears in the 'About' dialogue of
# flowdesigner.
package_major_version=0
package_minor_version=0
package_micro_version=1

# package interface/binary age
package_interface_age=0
package_binary_age=0

###################
# convert process #
###################
# You don't have to edit lines below this place.

package_name_under=`echo $package_name | sed 's/-/_/g'`

# convert $1, output to stdout.
# if $1 is not given, 'cat $1' is equal to 'cat ' and cat from stdin instead of file.
cat $1 | sed 's/{package-name}/'$package_name'/g'\
	| sed 's/{package_name}/'$package_name_under'/g'\
	| sed 's/{package-short-name}/'$package_short_name'/g'\
	| sed 's/{package-major-version}/'$package_major_version'/g'\
	| sed 's/{package-minor-version}/'$package_minor_version'/g'\
	| sed 's/{package-micro-version}/'$package_micro_version'/g'\
	| sed 's/{package-interface-age}/'$package_interface_age'/g'\
	| sed 's/{package-binary-age}/'$package_binary_age'/g'

